Subject: Re: bug#1283: 23.0.60; minibuffer-complete and file names with `-' or `_'

From: Stefan Monnier <[email-masked]>
Date: Fri, 31 Oct 2008 12:52:05 -0400

> On my system, /lib contains these two files:

>    libthread_db-1.0.so
>    libthread_db.so.1

> When I type `C-x d' or `C-x C-f' and then `/lib/libthr TAB', the path is
> completed to `/lib/libthread_db.so.1'.  

> Also on my system, /usr/lib contains these three files:

>    libthread_db.so
>    libthreadweaver.so.4
>    libthreadweaver.so.4.1.0

> When I type `C-x d' or `C-x C-f' and then `/usr/lib/libthr TAB', the
> path is completed to `/usr/lib/libthreadweaver.so.4'.  A second TAB
> tells me this is complete but not unique and the *Completions* buffer
> shows me (only) libthreadweaver.so.4 and libthreadweaver.so.4.1.0.

> This is with -Q, and I get the same behavior with completion-styles set
> to any of `basic', `emacs21', emacs22', or `partial-completion'.

This is the effect of having ".so" in the completion-ignored-extensions,

        Stefan